This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 479330 - cluster crashes without mcast-max workaround
cluster crashes without mcast-max workaround
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
1.1
All Linux
high Severity high
: 1.1.1
: ---
Assigned To: Alan Conway
Frantisek Reznicek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-08 16:24 EST by Alan Conway
Modified: 2015-11-15 19:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-21 12:17:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Conway 2009-01-08 16:24:55 EST
Description of problem:

If --cluster-mcasts-max is set 0, the cluster crashes with corrupted frames.

Version-Release number of selected component (if applicable):


How reproducible: easy


Steps to Reproduce:

[aconway@mrg10 tests]$ ../qpidd --cluster-read-max 0 --cluster-mcast-max 0 --load-module ../.libs/cluster.so&
[aconway@mrg10 tests]$   ./perftest --count 10000 --nsubs 4 --npubs 4

Actual results:

Cluster crashes with log similar to:
2009-jan-08 16:14:46 critical 20.0.10.9:27404(READY) error in cluster delivery: framing-error: Framing version unsupported (qpid/framing/AMQFrame.cpp:80)
2009-jan-08 16:14:46 notice 20.0.10.9:27404(LEFT) leaving cluster aconway

Expected results:

no error.

Additional info:

This is sometimes, but not always accompanied by an openais crash. 
The mcast-max and read-max limit the number of outstanding multicasts to openais, so this appears to be a flow control problem. Looks related to:

https://bugzilla.redhat.com/show_bug.cgi?id=477243
https://bugzilla.redhat.com/show_bug.cgi?id=471896

but there may be a qpidd bug lurking as well.
Comment 1 Alan Conway 2009-01-28 15:46:26 EST
Resolved by openais patch ipc-14. The cluster-mcast-max option is removed.
Comment 3 Frantisek Reznicek 2009-02-23 10:51:26 EST
Validated on RHEL 4.7 / 5.2 i386 / x86_64 that --cluster-mcast-max 0
 is not able to specify and therefore not able to get framing-error: Framing version unsupported issue.

Framing-error issues drastically reduced by new openais version 0.80.5-2. No such issue found after releasing that new openais version.

->VERIFIED
Comment 5 errata-xmlrpc 2009-04-21 12:17:41 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0434.html

Note You need to log in before you can comment on or make changes to this bug.